libc 4.6.27 problem with router? Anyone?

libc 4.6.27 problem with router? Anyone?

Post by Edmond H » Sat, 23 Nov 1996 04:00:00



Hi! Did anyone have trouble running Linux 1.2.13 with libc 4.6.27 on LAN?

We recently had couples of Linux boxes broken. On the victim machine, startx,
ls -l (ls -a is okey most of the time) and many other programs coredumped and quit everytime being ran by users. Users login info is achives through local passwd and NIS. We also have NFS running, too. The changes we suspected that causing the problem is a new NIS server and a router change. The NIS server is a Sparc running SunOS 4.1.6. The router is AGS running Cisco IOS GS3-K-M, Version 11.0(10), release fc3. (I hope I got the right version & name, since I don't know much about routers...) One thing we
noticed is that if we substitude libc 4.5.26 into the system (by changing the links libc.so.4 to the libc.so.4.5.26), the problem disappear (except all programs now complaining that they're using a different version of libc...)

Did anyone have the same problem or have any idea what is the cause of the problem? the solution we got now is to upgrade all machines to newer version (libc 5.2.18) and hope things won't break in the future.

Thanks in advance.

Linux Support
ED$

 
 
 

1. /lib/libc.so.4.5.26 and /lib/libc.so.4.6.27

: I recently upgraded to GCC 2.6.2 which requires the c library version
: 4.6.27.  So I installed this, and it stuck libc.so.4.6.27 in my /lib
: directory.  But libc.so.4.5.26 still exists there, and when I run gcc, it
: says 'using incompatible library 'lib/libc.so.4.5.26'.  I mistakenly
: removed 4.5.26 and had big problems.  So how do I tell gcc to recognize
: 4.6.27?, I must be missing a step.  (I just used pkgtool to load both gcc
: and the new libc (and libg++, include, image, and extralib).)  Anyway,
: any help would be appreciated.

I have the same problem but with 4.5.26. I run 4.4 now and have
installed all 4.5-files(I have copied all the files from a machine
with 4.5 from /lib). I have made the symlink libc.so.4 point to my new
library, but it still uses 4.4. Anyone?

--

2. NO INDEX ERROR . . . . INDEX IS PRESENT, THIS IS MY THIRD POST

3. Safe Raw Sockets

4. Problems after installation of libc.4.6.27

5. really basic hostname question

6. FYI: A Bug In Libc.so.4.6.27 Causing Problem in SLIP Setup

7. How to configure X to PseudoColor for creating a private colormap?

8. sendmail/libc 4.6.27 'name server timeout' problem

9. Problems with gcc 2.6.3 and libc 4.6.27 (2nd post)

10. sendmail and libc.so.4.6.27 problem

11. FYI: A Bug in libc.so.4.6.27 Causing Problem in SLIP Setup

12. ldconfig: warning: /lib/libc.so.4.6.27 is not a ZMAGIC file, skipping